## Advanced Motion Detection using PIR sensors  ##
------------------
TIDA-01069 reference design leverages two PIR sensors for advanced motion detection and false triggering avoidance. Please refer to this TI Design for more information [TIDA-01069](http://www.ti.com/tool/tida-01069). This GUI application visualizes collected data through a number of graphs and allows control of certain parameters. 

You will require:
   * MSP-EXP432P401R LaunchPad
   * TIDA-01069 Advanced Motion PIR board
   * AAA battery
   * Micro USB cable

## Instructions ##
 1. Connect TIDA-01069 board to LaunchPad using booster pack connectors. Pin 1 of LaunchPad booster pack connection should be plugged into J10  connector on the motion board. 
 2. Insert AAA batter into battery slot on TIDA-01069 board. 
 3. Place a board on a surface where no motion  be detected by PIR sensorsfor 2 minutes. This process will to calibrate sensors. E.g. on your desk facing a wall.
 3. Connect LaunchPad to your computer using USB cable. 
 4. If you do not have correct firmware you may optionally program it into LaunchPad by selecting File->Program File menu. 

## User Guide ##
* This application will automatically connect to connected LaunchPad. Once it starts receiving data, top left graph will start updating immediately. 
* Once data buffer is full other graphs will start updating as well. 
* Configuration options allow you to control ADC conversion rate (SPS) and amount of data to collect (in seconds). Buffer size is displayed purely for informational purposes. 
* Sensors box displays readings from onboard light (OPT3002) and Humidity/Temperature (HDC1010) sensors. 

## Troubleshooting ##
* If graphs are not updating, then the first item to check is whether the board is sending data over UART. You may confirm this by opening a serial terminal application (e.g. Putty) and opening COM port for the LaunchPad. You should see a stream of values from two PIR sensors.
* If PIR Signals in Time Domain shows the data from graphs in a solid line when sensors should be detecting motion (e.g. when you move your hand in front of sensors), then PIR sensors have not fully calibrated. Please redo calibration sequence. 

This readme may be opened from Help menu. 